import numpy as np
from numpy import genfromtxt
import cvxopt, cvxopt.glpk

c = genfromtxt('c_file')
G = genfromtxt('G_file')
h = genfromtxt('h_file')
A = genfromtxt('A_file')
b = genfromtxt('b_file')
B_str_list = list(open('big_B_file').read().split())
B_set = set([int(ind) for ind in B_str_list])

status, x = cvxopt.glpk.ilp(cvxopt.matrix(c), cvxopt.matrix(G), cvxopt.matrix(h), cvxopt.matrix(A), cvxopt.matrix(b), I=set(), B=B_set)

print 'STATUS RETURNED:', status
print 'This should be non-positive:', max(np.dot(G,x) - np.atleast_2d(h).T)
